<?

include '../../config.php';
include '../../func.php';
head();

$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));

if ( $_GET['mod'] == 'clan_edit' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Группа успешно изменена' . div;
    
}

if ( $_GET['mod'] == 'clan_edit' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при измененни группы' . div;
    
}

if ( $_GET['mod'] == 'empty_name' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Вы не ввели название группы' . div;
    
}

if ( $_GET['mod'] == 'clan_delete' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Группа успешно удалена' . div;
    
}

if ( $_GET['mod'] == 'clan_delete' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при удалении группы' . div;
    
}
##################################

if ( $_GET['mod'] == 'status' ) {
    
    if ( $config['status_clan'] == 0 ) {
        mysql_query("UPDATE `config` SET `status_clan` = '1'");
        echo link2 . 'Группы включены' . div;
    } else {
        mysql_query("UPDATE `config` SET `status_clan` = '0'");
        echo link2 . 'Группы выключены' . div;        
    }
    
}

if ( $config['status_clan'] == 0 ) {
    echo link2 . 'Статус модуля: <b>Выключен</b><br/ > 
    [<a href="index.php?mod=status">ON</a>] <b>OFF</b><br/ >' . div;
} else {
    echo link2 . 'Статус модуля: <b>Включен</b><br/ > 
    [<a href="index.php?mod=status">OFF</a>] <b>ON</b><br/ >' . div;    
}

$result = mysql_query("SELECT * FROM clans");
while($a = mysql_fetch_assoc($result)){

echo link2 . '
Название: '.$a['name'].'<br/ >
Описание: '.$a['info'].'<br/ >
Владелец: '.user($a['user']).'<br/ ><br/ >
';
echo '<a href="clan_edit.php?id='.$a['id'].'">Править</a> <a href="clan_delete.php?id='.$a['id'].'">Удалить</a>' . div;
}

echo div;
###########


echo link1 . '<a href="razdel_add.php">Создать раздел</a>' . div;